local S = minetest.get_translator(minetest.get_current_modname())

local base = 101

----------------------------------------------------------
collectible_lore.register_lorebook({
	id = "rose fungiwood",
	title = S("Fungiwood"),
	text = S([[Today we came across a truly extraordinary discovery. As we were exploring one of the deeper caverns, we stumbled upon a forest of enormous fungi. These towering structures, which I have named Fungiwood, stood at least twenty to thirty feet tall, with a central stalk that was incredibly strong and fine-grained. The spore-producing 'shelves' that surrounded the stalk were thin and irregular, but not particularly useful for either building or as a food source.

However, the central stalk proved to be an invaluable discovery. When cut, it produces smooth yellow-tinted lumber that is perfect for crafting. It is no wonder that so many carved wooden objects from the deeps are made from this Fungiwood. I have collected samples of the lumber and will study it further to see if it has any other unique properties. This discovery opens up a whole new realm of possibilities for subterranean exploration and commerce.

Sincerely,
Professor Amelia Rose]]),
	sort = base + 0,
})

collectible_lore.register_lorebook({
	id = "rose bloodthorn",
	title = S("Bloodthorn"),
	text = S([[Today I encountered the strange and vicious plant known as the blood thorn. Found in hot and dry caverns, these spiky growths have a sinister reputation, and for good reason. Their spines are barbed, sharp, and hollow, capable of actively draining fluids from any plant or creature they might impale. I can only assume this is to supplement the poor nutrition and hydration otherwise available to them.

When harvested the central stalk of a blood thorn can be cut into planks and used as wood. It has a purple-red hue that may or may not appeal, depending on one's artistic tastes.

Despite their fearsome reputation, I must admit, I was struck by the tenacity of these plants. The spikes can remain living even after they're severed from the parent stalk, continuing to drain anything they come into contact with. Even if killed by bright light they can still cause damage to creatures that fall on them.

	But as I took notes and observed the blood thorns, I found it difficult to appreciate this species of plant. Its ruthless nature and actively harmful spines left me feeling uneasy, and I couldn't help but walk cautiously in its presence.

Sincerely,
Professor Amelia Rose]]),
	sort = base + 1,
})

collectible_lore.register_lorebook({
	id = "rose black cap",
	title = S("Black Cap"),
	text = S([[Today, my graduate students and I ventured deeper into the caverns than we ever have before, to a region that was rich in coal seams and hot springs, and there we found the elusive Black Cap mushrooms.

These mushrooms are truly impressive, towering above us like trees in a forest. Their stems are thick and dense, and the caps are a deep, rich black. We were particularly interested in the wood of these mushrooms, which is a dense, heavy wood that is difficult to work with but makes for an excellent fuel source. The gills of the mushrooms are oily and make for an excellent torch fuel, burning with a bright and steady flame.

We were also told that the black color of the caps makes it a highly sought after material for artistic applications.

It was a long and arduous journey to reach this part of the caverns, but it was well worth it. The discovery of the Black Cap mushrooms is a major find, and I look forward to studying and learning more about these fascinating fungi"

Sincerely,
Professor Amelia Rose]]),
	sort = base + 2,
})

collectible_lore.register_lorebook({
	id = "rose goblin cap",
	title = S("Goblin Cap"),
	text = S([[Today we came across a truly remarkable sight in the caverns - a group of Goblin Cap mushrooms, each one larger than any I have ever seen before. These massive fungi stand at least 10 feet tall and have a squat, bulbous shape that makes them look like little cottages. It's not hard to imagine that some of the more primitive denizens of the deeps might carve out a hollow in the stem of one of these mushrooms to use as a home.

The stems and caps of the Goblin Cap mushrooms are made of a wood that is both dense and strong. It can be cut into two different hues, a subdued cream and a bright orange-red. The cream colored wood is particularly hard and heavy, while the orange-red wood is lighter and more porous. Both types of wood can be used for construction and other practical applications, but I suspect that the orange-red wood may also have some artistic value.

Sincerely,
Professor Amelia Rose]]),
	sort = base + 3,
})

collectible_lore.register_lorebook({
	id = "rose tower cap",
	title = S("Tower Cap"),
	text = S([[Today, my team and I came across a truly remarkable discovery. Deep in the caverns, we stumbled upon a grove of towering mushrooms unlike any we have ever seen before. These mushrooms, which I have named 'Tower Caps', stand at least thirty feet tall when fully grown and have massive stems. The oldest of these mushrooms could be decades old, perhaps even centuries in some rare cases, but under the right conditions, they grow rapidly to full size.

Their stems and caps provide ample quantities of woody material when cut down and processed. We were able to gather large amounts of this material and it holds great promise for use in construction and as a source of fuel for our expeditions. The discovery of these Tower Caps is not only significant for the practical applications of their wood, but also for the understanding of the unique ecosystem that exists within the caverns. The possibilities for study and research are endless. I can hardly wait to return to the grove and continue our investigations.

Sincerely,
Professor Amelia Rose]]),
	sort = base + 4,
})

collectible_lore.register_lorebook({
	id = "rose nether cap",
	title = S("Marvelous @1", df_dependencies.nethercap_name),
	text = S([[Today, my team and I made a fascinating discovery in the deep caverns - the existence of @1 mushrooms. These mushrooms possess an unusual biochemistry that allows them to subsist on ambient heat, in violation of all known laws of thermodynamics. We found them growing in frigid, icy caverns that should, by all rights, be simmering in the heat welling up from below.

The @2 mushroom is a true marvel of nature. The wood of the mushroom, in addition to being a beautiful blue hue, retains the odd heat-draining ability of living @3 and is able to quickly freeze nearby water solid. This makes it an incredibly unique and valuable resource, as it could have a wide range of industrial and scientific applications.

Furthermore, the @4 mushroom is also a valuable tool for understanding the underground ecosystem. The discovery of this species challenges our current understanding of how organisms can survive and thrive in extreme environments. It is clear that there is still much to learn about the deep caverns and the life that lives within them.

Sincerely,
Professor Amelia Rose]], df_dependencies.nethercap_name, df_dependencies.nethercap_name, df_dependencies.nethercap_name, df_dependencies.nethercap_name),
	sort = base + 5,
})

collectible_lore.register_lorebook({
	id = "banks nether cap",
	title = S("Infuriating @1", df_dependencies.nethercap_name),
	text = S([[I have just encountered the @1 mushrooms, and I have to admit that my scientific mind is thoroughly flummoxed by them. These enormous blue mushrooms grow deep underground, in caverns that geologically speaking, should be extremely hot. But instead of generating heat, the @2 mushrooms are somehow capable of absorbing it.

This is beyond comprehension, as it defies the laws of thermodynamics. It is simply not possible for a biological organism to feed directly on heat. But yet, here they are. The caverns that they are found in are frigid and icy, which only adds to the confusion.

To make matters worse, the wood of the @3 somehow retains this heat-sapping ability even after it's cut. I have never seen anything like it before, and I must admit that I am at a loss for an explanation.

At times like this, it can be difficult to be a man of science. I would love to exterminate this species and put an end to this absurdity, but of course, that is not the way of science. We must study, we must observe, and we must learn. I will have to gather more data and try to make sense of what I am seeing.

Despite my frustration, I must admit that these mushrooms are a remarkable discovery. They have the potential to completely change our understanding of geothermal heat flows. I just need to stay objective and stick to the facts.

It is frustrating, but the life of a scientist is not always easy. We must be willing to accept that sometimes, our predictions are wrong and that there are things that we simply cannot explain. But that's what makes this journey so exciting. We never know what new wonders await us in the depths of these caverns.

Signed,
Dr. Theodore Banks]], df_dependencies.nethercap_name, df_dependencies.nethercap_name, df_dependencies.nethercap_name),
	sort = base + 6,
})

collectible_lore.register_lorebook({
	id = "rose tunnel tube",
	title = S("Tunnel Tube Ecology"),
	text = S([[Today, I had the opportunity to study a particularly fascinating species of subterranean fungus, the Tunnel Tube. These towering growths, typically standing between 10 to 20 feet tall, are characterized by a hollow curved trunk that supports a large fruiting body at the top. The trunk of the Tunnel Tube is a striking purple hue and can be cut and processed to produce sheets of a woody material.

One of the most interesting adaptations of the Tunnel Tube is its method of spore dispersal. The fruiting bodies of these fungi accumulate high-energy compounds that, when ignited, produce a vigorous detonation that flings their spores great distances. This adaptation allows them to spread their spores in the still air of the caverns they grow in.

However, this adaptation also makes them a potential hazard. I would advise against making a campfire in a cavern that is home to Tunnel Tubes, as the explosive nature of these fungi could cause unexpected and potentially dangerous consequences.

Sincerely,
Professor Amelia Rose]]),
	sort = base + 7,
})

collectible_lore.register_lorebook({
	id = "banks tunnel tube",
	title = S("Tunnel Tube Resources"),
	text = S([[I have been conducting experiments on the Tunnel Tubes, a species of fungi that can be found growing deep underground in the caverns. I have successfully harvested the fruiting bodies of the Tunnel Tubes and have been experimenting with refining a gunpowder-like explosive from them. This explosive has shown great potential in mining and construction, but I must note that my experiments were cut short due to several casualties among my crew caused by careless detonations.

In addition to the explosive potential of the Tunnel Tubes, I have also discovered that the wood produced from their trunks has a unique cross-grained texture that makes it incredibly strong and flexible. This could have a wide range of uses in construction and carpentry. However, I must mention that the purple hue of the wood is unfortunately unpleasant and I have yet to devise a way to bleach the wood to make it more appealing.

Overall, the Tunnel Tubes have a lot of potential for industrial use, but we must be careful in handling them and make sure to take proper safety precautions when working with them. I will continue my experiments and report any further findings.

Signed,
Dr. Theodore Banks]]),
	sort = base + 8,
})


collectible_lore.register_lorebook({
	id = "rose spore tree",
	title = S("Spore Trees"),
	text = S([[Today, I had the opportunity to study the unique properties of Spore Trees in depth. These subterranean fungi are characterized by their short, sturdy trunks that support a large spongy mesh of branching fibers with embedded fruiting bodies. These fruiting bodies produce a copious amount of spores that gently rain down around the Spore Tree's base.

The trunks of Spore Trees can be cut into pale woody planks, which are useful for a variety of purposes. The branching fibers and fruiting bodies, on the other hand, are only useful as fuel. However, they can also serve as a crude climbing structure, which can be very useful in caverns with many pits and cliffs to navigate. In fact, the spongy fibers have been known to cushion a climber's fall, saving the lives of a few incautious but lucky spelunkers.

It's important to note that while these fungi may be useful, they can also be dangerous. The spores produced by the fruiting bodies can cause respiratory issues if inhaled in large quantities, so it's important to take proper precautions when exploring caverns with Spore Trees. Overall, the Spore Trees are an intriguing and valuable species of subterranean fungi that can offer many benefits to those who are willing to take the time to study and understand them.

Sincerely,
Professor Amelia Rose]]),
	sort = base + 9,
})


collectible_lore.register_lorebook({
	id = "rose spindlestem",
	title = S("Spindlestem Lanterns"),
	text = S([[Today, I had the opportunity to study the Spindlestem mushrooms, a common and useful resource for underground travelers. These mushrooms are too big to easily pluck by hand, but too small to be called a proper tree. Despite their thinness, they can grow quite tall and their stem is surprisingly sturdy. They can be used as a wood substitute in many crafting recipes.

The most distinctive feature of Spindlestem mushrooms is their glow, with some varieties having caps that glow in a red, green, cyan, or even sometimes golden hue. This glow is generated by some form of microorganism that lives within the Spindlestem's caps and can be extracted and bottled to produce a long-lasting source of light.

The brightness of this light varies with the colour of the cap, but even the dim red Spindlestem extract makes a useful trail marker in these dark caverns. This makes them an excellent resource for underground explorers and spelunkers. The abundance of Spindlestems may render our reliance on foul, smoky torches obsolete.

Sincerely,
Professor Amelia Rose]]),
	sort = base + 10,
})

collectible_lore.register_lorebook({
	id = "banks spindlestem",
	title = S("Spindlestem as Mineral Marker"),
	text = S([[Today, while conducting a survey of the subterranean fungi, I made a discovery that I found to be quite interesting. As I was observing a group of Spindlestem mushrooms, I noticed that their caps were emitting a red glow. Being an experienced geologist, I immediately suspected that this might be an indication of nearby iron deposits.

To test this hypothesis, I ventured further into the cavern and found another group of Spindlestems, this time emitting a green glow. I hypothesized that this might be an indication of nearby copper deposits. I conducted a series of experiments to confirm my suspicions, and to my delight, my hypothesis was correct.

I also found that some Spindlestems were emitting a cyan glow, which I suspect is an indication of a mix of both iron and copper deposits. I found this discovery to be quite exciting, and I believe it could have significant implications for underground mining operations.

It's a shame that Professor Amelia Rose, whose journal entry about Spindlestems I read earlier, failed to mention this important discovery. I suppose it just goes to show that sometimes, a little rigor in scientific observation can go a long way.

Signed,
Dr. Theodore Banks]]),
	sort = base + 11,
})

collectible_lore.register_lorebook({
	id = "rose spindlestem 2",
	title = S("Spindlestem Complexities"),
	text = S([[It appears that Dr. Banks' log on Spindlestems has caused some confusion and I would like to set the record straight. While it is true that the microorganisms living within the caps of Spindlestems are affected by the trace minerals present in the water where they grow, there are other factors at play that he seems to have overlooked.

First, I would like to point out that when growing near Goblin Caps, Spindlestems always glow red regardless of the minerals in the soil. This is a fascinating observation that I believe warrants further study. Second, when growing near Tower Caps, Spindlestems don't glow at all. This is another intriguing observation that I believe is worth investigating.

I would like to remind my colleagues that not everything can be reduced to chemistry, and that there is still much we do not understand about the complex interactions between different subterranean organisms. Furthermore, Banks has no explanation for the rare yellow Spindlestem, which is a beautiful and unique variant of this mushroom species.

On a final note, I would like to point out that the extract of Spindlestems, while transient and limited in palette, is a beautiful and versatile pigment that can be used in many artistic applications. The beauty of the underground world is not limited to just the resources it provides, but also in the subtle and delicate forms that can be found there.

Sincerely,
Professor Amelia Rose]]),
	sort = base + 12,
})

collectible_lore.register_lorebook({
	id = "ster spindlestem",
	title = S("Blasted Spindlestems"),
	text = S([[Dear Members of the Royal Adventurers Society,

I write to you today to express my frustration with the abundance of Spindlestem mushrooms throughout the caverns I have explored. These blasted mushrooms are everywhere, making it difficult to determine one's location within the caverns based on the local flora. Their inedibility only adds to my disappointment.

It is perhaps a petty thing to write a missive containing nothing but a short complaint directed at this most base and useless of of fungus, but one must give vent at times. These caverns are filled with wonders and yet these tedious growths clutter them. They are hardly worth the time to write about, which gives me such annoyance that I find I must regardless.

Yours,
Sir Reginald Sterling]]),
	sort = base + 12,
})

collectible_lore.register_lorebook({
	id = "banks torchspine",
	title = S("Torchspine"),
	text = S([[Today I had the opportunity to study Torchspines. What I initially thought to be a mineral formation turned out to be a highly unique and intriguing organism. These strange formations are alive only in a technical sense and "feed" on volatile flammable vapors, growing taller due to the combustion residue deposited at their tips. They alternate between active and quiescent phases and emit dim light when active.

This discovery could have far-reaching implications for surface world industry. Harvesting Torchspines for torches could be a valuable new source of light, and the embers from burned Torchspines have the potential to sprout into new Torchspines when placed on flammable surfaces. Unlike many underground growths, Torchspines are not adversely affected by bright sunlight, and could potentially be "cultivated" on the surface world under the right conditions.

In addition, Torchspines have the ability to convert solid flammable substrates into gaseous fuel. This has the potential to revolutionize energy production and I am extremely excited by this discovery.

It is my duty as a scientist to remain clinical and dispassionate in my observations, but I must admit that I am extremely excited by the potential of Torchspines and the impact they could have on the world.

Signed,
Dr. Theodore Banks]]),
	sort = base + 13,
})
