local S = minetest.get_translator(minetest.get_current_modname())

local base = 300

collectible_lore.register_lorebook({
	id = "ster underworld",
	title = S("The Underworld"),
	text = S([[Dear Members of the Royal Adventurer's Society,

Greetings from the depths of the unknown! I hope this letter finds you all well and with an unquenchable thirst for adventure, as I have discovered something truly extraordinary down here.

After a long and arduous journey through caverns filled with danger and torment, I have finally reached a place unlike any other I have ever seen. The journey itself was a test of endurance and fortitude, but my determination and unwavering spirit proved to be too much for the obstacles in my path.

I have stumbled upon a vast network of caverns, unlike anything I have ever seen before. These caverns are the grave of a long-lost civilization, filled with the remnants of a people that time has forgotten. The walls of these caverns are adorned with intricate carvings, depicting scenes of a society that was once thriving and prosperous. The air is filled with a musty, ancient smell that speaks of the great history that lies within.

No scholar or naturalist with any sense would have even thought to try traveling as deep as I have. They believe that nothing of value could exist at such depths, but I have proven them all wrong. This is a place of incredible wonder, a place where only the bravest and most adventurous of us dare to tread.

I have already begun to explore this wondrous place and make my mark on it. I am making discoveries that will change the way we understand the world and our place in it. I will not rest until I have uncovered every last secret that these caverns have to offer.

So, my friends, I invite you to join me on this incredible journey. Come, let us explore the unknown and make our mark on history together.

Yours,
Sir Reginald Sterling]]),
	sort = base + 0,
})

-------
-- slade

collectible_lore.register_lorebook({
	id = "ster slade",
	title = S("Slade"),
	text = S([[Dear Members of the Royal Adventurers Society,

I write to you today from the heart of the earth, where I have made a most remarkable discovery. Amidst the endless labyrinth of twisting tunnels and deadly caverns, I have encountered a mysterious form of bedrock that I have dubbed "Slade."

This dense, dark material forms the foundations of the mysterious underworld that I have discovered, and I can assure you, it is unlike anything I have ever encountered before. No pickaxe can even chip it, and footfalls echo with a particularly dull and hollow sound. Its dark coloration with a slightly rusty hue adds to the otherworldly feeling of this place.

I, of course, have tried dynamiting it, and while the concussive force of a dynamite blast can shatter nearby Slade into a fine sand, even then shoveling this sand out of the hole made is very slow going. I would only recommend this method to those with far more patience than myself.

This discovery only adds to the wonder and intrigue of the underworld that I have ventured into. I can hardly wait to see what other secrets it holds.

Yours in exploration,
Sir Reginald Sterling]]),
	sort = base + 1,
})

-- oubliettes and lanterns

collectible_lore.register_lorebook({
	id = "ster oubliettes",
	title = S("Oubliettes and Lanterns"),
	text = S([[Dear Members of the Royal Adventurers Society,

I am writing to you from the heart of the Underworld, where I have made a truly remarkable discovery. Scattered throughout the caverns, there are areas rich with strange slade structures, each more mysterious than the last.

Many of these structures appear to be narrow pits capped with solid, smooth-surfaced blocks of slade. Carved into this uncarvable material are glyphs in many ancient languages, some of which I have been able to decipher, while others remain a mystery. These structures are truly a sight to behold, and their age only adds to their allure.

Occasionally, there are pillars of Slade standing over these pits, and at the top are strange lanterns that glow with a dim, flickering light. These lanterns seem to be failing due to age, but that's no slight on the craftsmanship behind them. The fact that these lanterns have lasted for countless centuries is a testament to their incredible construction.

Having compared many of the carvings I find a common set of verses that I have translated into the modern tongue thusly:

	We were a powerful culture.
	This place is not a place of honor.
	No esteemed deed is commemorated here.
	What is here is dangerous and repulsive.
	This message is a warning about danger.
	The danger is still present.
	The danger is unleashed if you disturb this place.
	This place is best shunned and left uninhabited.

Obviously these people, while advanced in some ways, still managed to succumb to some ancient threat that they could not overcome. Or perhaps that they expended the last of their strength in overcoming. I have reserved a supply of dynamite and ammunition on the off chance that whatever it may be remains a danger to this day. I look forward to finding it, and to a trophy like no other to hang in my study upon my return!

Yours truly,
Sir Reginald Sterling]]),
	sort = base + 2,
})

-- "towns"

collectible_lore.register_lorebook({
	id = "ster underworld ruins",
	title = S("Underworld Ruins"),
	text = S([[Dear Members of the Royal Adventurers Society,

I write to you today with the latest update on my journey through the mysterious Underworld. My travels have led me to an ancient empty town, the likes of which I have never seen before.

The buildings here are constructed from bricks of Slade, a dense and hard material that I have previously reported on in my letters. The architecture is brutal and monolithic in design, with square blocky buildings and walls made of stone pillars crowded closer together than the bars of a gaol.

As I ventured further into the town, I found staircases leading up to empty doorframes, and there was no trace of furnishings - perhaps they have all long since decayed away, leaving only the unchangeable Slade behind. However, inside one of the buildings, I did find a locked chest made from Slade, with some form of puzzle or combination lock.

I am a man of fearsome determination, if not intellect, and so I set my sights on deciphering the lock. To my surprise, I was successful. Each wheel on the lock had eight positions and seemed to give clues as to the system of arithmetic used by these ancient people. Through a steady exhaustion of all of its possibilities, I finally unlocked the chest.

Inside, I found only faded flowers and small satchels of colourful dyes. No great treasure, but the unexpectedly vibrant colours were a welcome sight in this dreary land.

I am eager to continue my journey through the Underworld, and I will keep you all updated on my findings.

Yours sincerely,
Sir Reginald Sterling]]),
	sort = base + 3,
})

-- lightseams

collectible_lore.register_lorebook({
	id = "ster underworld lightseams",
	title = S("Lightseams"),
	text = S([[Dear Members of the Royal Adventurers Society,

I hope this letter finds you well. I am writing to you from deep within the Underworld, where my explorations continue to uncover more and more mysteries. It has come to my attention that there is an aspect of these caverns that I have overlooked in my previous reports, and I feel it is my duty to correct that oversight.

As you know, the Underworld is eerily lit by glowing seams of minerals that snake across the high peaks of the caverns. Upon further examination, I have discovered that these minerals are unfamiliar to me, and I was eager to study them further. I sent one of my porters up to break off a piece to bring to me for analysis, but upon striking the mineral with his pick, there was a mighty explosion. The glow from the mineral was so intense that it completely destroyed the sample and left my porter badly injured.

I must admit that this was a cautionary tale for me, and a reminder of the dangers that lie in wait in these caverns. But I must also say that the strange and unfamiliar properties of these glowing minerals are a tantalizing mystery that I am eager to unlock. I will continue to be cautious in my approach, but I cannot help but feel drawn to uncover more about this enigmatic feature of the Underworld.

I hope this letter has been of interest, and I will continue to keep you all informed of my progress.

Yours in adventure,
Sir Reginald Sterling]]),
	sort = base + 4,
})

-- bones/ancient warriors

collectible_lore.register_lorebook({
	id = "ster warriors",
	title = S("Ancient Warriors"),
	text = S([[Dear Members of the Royal Adventurers Society,

I write to you today with a heavy heart, for I have come across a site within the underworld that has left a profound impact upon me. Amidst the treacherous tunnels and caverns lies a battlefield, one that has long since been abandoned by the living but is still guarded by the fallen. The sight of so many ancient warriors, their bones now mere remnants of their former selves, serves as a haunting reminder of the toll that war can take on even the bravest of souls.

As I explored this eerie landscape, I could not help but feel a sense of sadness and reverence for the warriors who fell in battle here. Despite their time in this world being long since passed, the remnants of their possessions serve as a testament to the humanity that once lived within these caverns. In addition to the expected weapons and armor that adorned their bodies many of them bear a flower or satchel of colourful powder in their possession, perhaps as a reminder that there is more worth fighting for than these dreary depths. these fallen soldiers were more than just soldiers, but also had a deeper connection to the world above.

I share these thoughts with you in the hopes that others may find comfort in the knowledge that, even in the bleakest of places, there is evidence of life and hope. The underworld may be a place of darkness and danger, but it is also a place where we can reflect on the sacrifices of those who came before us and appreciate the beauty that can still be found even in the depths of despair.

Yours sincerely,
Sir Reginald Sterling]]),
	sort = base + 5,
})


-- guardian statues

collectible_lore.register_lorebook({
	id = "ster statues",
	title = S("Guardian Statues"),
	text = S([[Dear members of the Royal Adventurers Society,

I hope this letter finds you in good health and high spirits. I write to you today with a story of caution and excitement, as I have recently come face to face with one of the underworld's most fearsome guardians.

During my recent explorations of the ancient structures scattered throughout the underworld, I heard a sound of stone scraping on stone that set my nerves on edge. Despite my initial efforts, I could not find any evidence of what might have caused the noise, and as I turned away from the site I heard the sound again. This time, I caught a glimpse of sudden motion out of the corner of my eye, and before I could react, a slade "statue" sprang to life and attacked me with brutal force!

I was thrown from the ruins and only survived thanks to one of my porters breaking my fall. Since then, I have learned to keep a close eye on these statues and have come to the realization that they are not the inanimate objects they appear to be. I believe these statues are the last remaining guardians of the ancient ruins, and they will only remain motionless as long as they are aware they are being observed. Being made of slade they are immune to most forms of damage and thus are best simply avoided.

I implore all future adventurers to exercise caution when exploring the underworld, and to be aware of the potential dangers lurking in the shadows. I have survived this attack but others may not be so lucky.

Yours in adventure,
Sir Reginald Sterling]]),
	sort = base + 6,
})


-- glowing pits and amethyst crystal

collectible_lore.register_lorebook({
	id = "ster pits",
	title = S("Glowing Pits and Amethyst Crystals"),
	text = S([[Dear members of the Royal Adventurers Society,

I write to you with a report on a recent discovery made during my explorations of the Underworld. I have come across a magnificent and fearsome feature that is unlike anything I have encountered before. A massive pit descends straight into the slade, its sides lined with a thick encrustation of glowing amethyst-hued crystals. The sight of these crystals is breathtaking, and they give off an eerie light that illuminates the surrounding area with a purplish hue.

I decided to investigate this pit further, and upon reaching the bottom, I discovered a source of intense light that crackled and shimmered with an incredible energy. I attempted to retrieve a sample of this strange liquid by lowering an iron bucket into it, but to my dismay, the bucket was instantly destroyed upon contact.

I have decided to leave this pit untouched, for it appears to hold a fearsome power that I do not wish to risk unleashing. However, I have kept a sample of the amethyst crystal for my personal collection, to prove that I was indeed here.

This pit is a true marvel of nature, and I implore anyone who dares to venture into the Underworld to take caution when approaching it. The combination of its beauty and danger makes it a truly unique and unforgettable experience.

Sincerely,
Sir Reginald Sterling]]),
	sort = base + 7,
})

-- seals

collectible_lore.register_lorebook({
	id = "ster seals",
	title = S("Puzzle Seals"),
	text = S([[Dear Members of the Royal Adventurers Society,

I write to you today with the most exciting discovery of my time exploring the underworld. I have come across a mysterious octagonal slade seal that is built into a square platform and surrounded by four intricately engraved slade obelisks.

This seal has some kind of puzzle or combination lock built into it, with eight small alcoves meant to hold some kind of items or keys. Every few seconds, the seal emits a quiet chiming sound, and a number of ghostly glowing sparks appear briefly floating in the air overhead.

I have spent several days pondering this seal and its puzzle, and I have noticed that the sparks emitted by the seal continuously repeat a sequence of 8 numbers. This recurring pattern of 8 reminds me of other things I've discovered in my exploration of the underworld.

I am determined to solve the puzzle of this octagonal seal and uncover the secrets that it holds. I will not rest until I have figured out the combination and unlocked the hidden knowledge that lies within.

Please keep me in your thoughts as I continue my quest to unravel the mysteries of the underworld.

Yours sincerely,
Sir Reginald Sterling

Addendum: I have solved the puzzle of the seal and I am no longer certain that I was right to do so. My obsession drives me. The foundation of the world has been pierced, a passage is opened beneath the slade. Though every sensible thought tells me otherwise, I must explore below.]]),
	sort = base + 8,
})

-------
-- Grid passages

collectible_lore.register_lorebook({
	id = "ster grid passages",
	title = S("Grid Passages Beneath the Slade"),
	text = S([[Dear Royal Adventurers Society,

It is with great trepidation that I write to you today to report on my latest findings in the underworld. After successfully traversing the slade, I was struck by the eerie transformation of what was once a floor into an impenetrable ceiling.

As I ventured further, I discovered a mysterious grid pattern of narrow passages carved through the rock, following the undersurface of the slade. The walls of these passages show no signs of tool markings that I can recognize and it seems as though something was down here searching for any flaws or breaches in the slade.

This has left me with a sense of unease, as I fear that my passage through the slade may have opened the way for whatever was down here. I have taken steps to build a wall obstructing my entrance passage and will continue to explore these grid passages, seeking my own path further downward into the unknown.

I must emphasize that caution is of the utmost importance in these treacherous caverns, and I advise all future explorers to be vigilant and prepared for the unexpected.

Yours in exploration,
Sir Reginald Sterling]]),
	sort = base + 9,
})

-- primordial fungus

collectible_lore.register_lorebook({
	id = "ster primordial mushrooms",
	title = S("Primordial Mushrooms"),
	text = S([[Dear Members of the Royal Adventurers Society,

I am writing to report on the discovery of a new type of vast cavern beneath the Slade, a place that truly defies description. I have come across a world unlike any other, a world of giant purple-capped mushrooms that tower over me, their vast size and beauty a testament to the mysterious powers that exist in these depths.

The mushrooms themselves are a sight to behold, their caps a deep shade of purple, some of them far bigger than even the Tower Caps that I have encountered on my journey. Hanging strands dangle beneath their caps, creating an otherworldly landscape that is both eerie and enchanting.

In this strange new world, I have also encountered smaller fungi that have produced glowing orb-shaped growths, and enormous glowing orbs hang from stalks on the ceiling. The soft light they cast creates an almost dream-like atmosphere, and I can hardly believe that I am here in this place, surrounded by such wondrous sights.

I have taken numerous sketches and notes of this new discovery, and I am eager to share them with all of you. I am filled with excitement and a sense of awe, and I cannot wait to see what other wonders the underworld holds.

Sincerely,
Sir Reginald Sterling]]),
	sort = base + 10,
})

-- primordial mycelium

collectible_lore.register_lorebook({
	id = "ster mycelium",
	title = S("Primordial Fungal Growths"),
	text = S([[Dear Royal Adventurers Society,

I hope this letter finds you well. I am writing to report on my latest discovery in the Underworld. As I traveled deeper among the massive purple-capped mushrooms, I stumbled upon a new type of giant fungus that is truly unlike anything I have ever seen.

This new fungus takes the form of an enormous twisting tube that grows along the surface of the soil, occasionally branching or forming loops. Its roots extend down into the soil to draw nutrients, and it is unlike any other type of fungus that I have encountered. The tube itself is incredibly tough and resilient, and I found that hacking a piece out of it could sometimes produce a cutting capable of sprouting anew.

However, after much consideration, I have decided not to bring a sample of this back to the surface world. While I have a desire for trophies, my experiences in the Underworld have given me a sense of caution. I do not wish to bring back anything that may pose a risk to the world above.

I will continue to explore this strange and wondrous place and report back on any other discoveries that I make.

Yours sincerely,
Sir Reginald Sterling]]),
	sort = base + 11,
})

-- primordial jungle
collectible_lore.register_lorebook({
	id = "ster jungle",
	title = S("Primordial Jungle"),
	text = S([[Dear Members of the Royal Adventurers Society,

I hope this letter finds you in good health and high spirits. I am writing to you today to share with you my latest discovery in the Underworld. It is a truly remarkable place, unlike anything I have encountered thus far.

The cavern is lined with enormous veins of glowing stone that light the chambers to almost the brightness of daylight. The light is an astonishing hue that gives the entire space a magical and otherworldly quality. The cavern is teeming with life and is filled with a profusion of green plant life and strange jungle trees. These trees are covered in phosphorescent lichens that cling to their bark, and it is a breathtaking sight to behold.

In addition to the amazing vegetation, there are also fireflies that blink in the shadows and roots and vines that hang from the ceilings. While there are treacherous patches of thorns to watch out for, there are also plants that bear the most delicious and heavenly fruits that I have ever tasted. It is a truly magical and wondrous place.

I must say that this discovery has left me in awe. The beauty and complexity of this ecosystem is simply stunning and it is clear that this is a place that holds many secrets yet to be uncovered.

I will continue to explore this wondrous place and document all that I find. I am confident that this discovery will be of great interest to the Society and I look forward to sharing my findings with you in person upon my return.

Yours in Adventure,
Sir Reginald Sterling]]),
	sort = base + 12,
})

-- ferns

collectible_lore.register_lorebook({
	id = "ster ferns",
	title = S("Giant Ferns"),
	text = S([[Dear Members of the Royal Adventurers Society,

I write to you from the depths of the Underworld, where I have discovered a most unusual form of plant life in the jungle caverns. Giant fern fronds, twenty feet tall or more, are the most prominent feature in some regions of the underground jungle. I have never seen anything like them before, and the sheer size of these fronds is truly remarkable.

I must admit, I never imagined that I would be considering the structural properties of "fern wood", but after all the fungal wood I have encountered in my journey, I shouldn't be all that surprised. The fronds are tough and fibrous, and I am considering bringing a sample back to the surface world for further study.

However, what strikes me most about these ferns is the way they are distributed throughout the jungle. Some regions of the underground jungle have a preponderance of trees, while others are dominated by ferns. I am at a loss to explain why this is the case. Further exploration may shed light on this phenomenon, but for now I can only conjecture.

Please know that I remain vigilant and continue to explore the wonders of this subterranean world.

Sincerely,
Sir Reginald Sterling]]),
	sort = base + 13,
})

-- jungle mushrooms

collectible_lore.register_lorebook({
	id = "ster jungle mushrooms",
	title = S("Primordial Jungle Mushrooms"),
	text = S([[Dear Members of the Royal Adventurers Society,

I hope this letter finds you well. I am writing to share with you my latest discovery in my explorations of the underworld.

As I ventured through the jungle caverns, I came across giant mushrooms growing amongst the lush vegetation and towering trees. Although I have encountered giant mushrooms before, the concept of "giant mushroom" has been redefined so much by my experiences that these smaller versions almost went unnoticed in the shadows of the forest. They stand at a mere ten to fifteen feet tall, but their unique feature is that the flesh of their caps is actually edible. Although it is not the most appetizing in taste or nutrition, it is a welcome addition to my diet on my journey.

I remain vigilant in my exploration and will continue to bring back the wonders of the underworld to the surface world.

Best regards,
Sir Reginald Sterling]]),
	sort = base + 14,
})

-- primordial vegetable matter

collectible_lore.register_lorebook({
	id = "ster vegetable matter",
	title = S("Primordial Vegetable Matter"),
	text = S([[Dear Members of the Royal Adventurers Society,

I hope this letter finds you well. I am writing to share with you my latest discovery in the Underworld. My journey has taken me to yet another exotic and alien place, where I have come across the largest plants I have ever seen.

At first, I thought that the towering jungle trees that dominated these caverns were the largest plants in this strange environment, but they are mere toothpicks compared to what I have found now. I initially thought that the massive green stalagmites and columns that dominated these caverns were dripstone formations, much like those above the surface, with their wet surfaces merely cloaked by moss or algae. But there is no water here to penetrate the underworld.

After investigating one of these formations I discovered that these columns are not dripstone, but a strange and alien sort of tree. I was shocked to find that the vegetal mass continued as deep as I could dig, and after six feet of digging I reached twisted woody roots that formed an underlying structural substrate.

I have never seen anything like them before. I am fascinated by these towering trees and plan to investigate them further, but I wanted to share this discovery with you immediately.

I look forward to sharing more news from my journey as it unfolds.

Yours sincerely,
Sir Reginald Sterling]]),
	sort = base + 15,
})
